# fourdst::libcomposition: src/composition/include/fourdst/composition/atomicSpecies.h File Reference

Loading...
Searching...
No Matches
atomicSpecies.h File Reference
`#include <string_view>`
`#include <string>`
`#include <iostream>`
`#include <limits>`

Go to the source code of this file.

## Classes

struct | fourdst::atomic::Species
| Represents an atomic species (isotope) with its fundamental physical properties. More...
struct | std::hash< fourdst::atomic::Species >
| Specialization of `std::hash` for `fourdst::atomic::Species`. More...

## Namespaces

namespace | fourdst::atomic
| Contains classes and functions related to atomic data, such as properties of atomic species.
namespace | fourdst

## Functions

double | fourdst::atomic::convert_jpi_to_double (const std::string &jpi_string)
| Converts a spin-parity string (JPI string) to a double-precision floating-point number.
bool | fourdst::atomic::operator== (const Species &lhs, const Species &rhs)
| Equality operator for Species. Compares based on name.
bool | fourdst::atomic::operator!= (const Species &lhs, const Species &rhs)
| Inequality operator for Species. Compares based on name.
bool | fourdst::atomic::operator< (const Species &lhs, const Species &rhs)
| Less-than operator for Species. Compares based on atomic mass.
bool | fourdst::atomic::operator> (const Species &lhs, const Species &rhs)
| Greater-than operator for Species. Compares based on atomic mass.